xattr_list
xattr_set
xattr Functions
PHP Manual

# xattr_remove

Remove an extended attribute

### Description

bool xattr_remove ( string `$filename` , string `$name` [, int `$flags` = 0 ] )

This function removes an extended attribute of a file.

Extended attributes have two different namespaces: user and root. The user namespace is available to all users, while the root namespace is available only to users with root privileges. xattr operates on the user namespace by default, but this can be changed with the `flags` parameter.

### Parameters

`filename`

  The file from which we remove the attribute.

`name`

  The name of the attribute to remove.

`flags`

  Supported xattr flags
  `XATTR_DONTFOLLOW` | Do not follow the symbolic link but operate on symbolic link itself.
  `XATTR_ROOT` | Set attribute in root (trusted) namespace. Requires root privileges.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Removes all extended attributes of a file

`<?php
$file = 'some_file';
$attributes = xattr_list($file);
foreach ($attributes as $attr_name) {
xattr_remove($file, $attr_name);
}
?>`

### See Also

- xattr_list
- xattr_set
- xattr_get